Modify

Opened 8 months ago

Closed 8 months ago

#17531 closed enhancement (fixed)

[PATCH] Update .classpath for eclipse

Reported by: taylor.smock Owned by: team
Priority: minor Milestone: 19.03
Component: Core Version:
Keywords: eclipse Cc:

Description

When first opening JOSM in eclipse, there are a myriad of errors.

These are mostly fixed by (a) changing the JRE System Library to one compatible with Java 8 and (b) adding accessrules for items that Eclipse thinks don't have an api.

Attachments (2)

classpath.patch (946 bytes) - added by taylor.smock 8 months ago.
Access rules only
classpath.2.patch (1015 bytes) - added by taylor.smock 8 months ago.
Access rules with enforced java version

Download all attachments as: .zip

Change History (4)

Changed 8 months ago by taylor.smock

Attachment: classpath.patch added

Access rules only

Changed 8 months ago by taylor.smock

Attachment: classpath.2.patch added

Access rules with enforced java version

comment:1 Changed 8 months ago by Don-vip

Keywords: eclipse added
Milestone: 19.03
Priority: normalminor

comment:2 Changed 8 months ago by Don-vip

Resolution: fixed
Status: newclosed

In 14937/josm:

fix #17531 - Update .classpath for eclipse (patch by taylor.smock)

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.